#!/bin/sh

THIS_DIR=`dirname "$0"`
BASE_DIR="$THIS_DIR/.."

STORE=/tmp/store
STATIC=/tmp/static
PREFS=/tmp/prefs
JOURNAL=/tmp/journal

ARGS="-S $STORE -P $STATIC -p $PREFS -j $JOURNAL -d"

ACCEPT_SCRIPT="$THIS_DIR/test_handle.py"
ACCEPT_ARGS="accept $STORE $JOURNAL $PREFS"

COUNTER_SCRIPT="$THIS_DIR/test_handle.py"
COUNTER_ARGS="counter $STORE $JOURNAL $PREFS"

DECLINE_SCRIPT="$THIS_DIR/test_handle.py"
DECLINE_ARGS="decline $STORE $JOURNAL $PREFS"

FREEBUSY_SCRIPT="$BASE_DIR/tools/make_freebusy.py"
FREEBUSY_ARGS="-s -n"

OUTGOING_SCRIPT="$BASE_DIR/imip_person_outgoing.py"

PERSON_SCRIPT="$BASE_DIR/imip_person.py"

RESOURCE_SCRIPT="$BASE_DIR/imip_resource.py"

SHOWMAIL="$BASE_DIR/tools/showmail.py"

TAB=`printf '\t'`

TEMPLATES="$THIS_DIR/templates"

ERROR=err.tmp

PYTHONPATH="$BASE_DIR"
export PYTHONPATH

rm -rf "$STORE"
rm -rf "$STATIC"
rm -rf "$PREFS"
rm -rf "$JOURNAL"
rm -f "$ERROR"
rm -f out*.tmp
